org.gicentre.utils.spatial

## Interface MapProjection

- All Known Implementing Classes:
    AlbersBC, AlbersEqualAreaConic, AlbersUS, AlbersUSCont, FrenchNTF, LambertConformalConic, ObliqueMercator, OSGB, Swiss, UTM, WebMercator

      public interface MapProjection

  Defines the minimum behaviour of all map projection classes. Any map projection should be able to perform a forward and inverse transformation as well as provide a textual description of the projection type.
  Version:
    3.4, 5th February, 2016.
  Author:
    Jo Wood, giCentre, City University London.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Should provide a general description of the transformation.
    `processing.core.PVector` | `invTransformCoords(processing.core.PVector p)` Should perform an inverse transform on the given coordinates.
    `processing.core.PVector` | `transformCoords(processing.core.PVector p)` Should perform a forward transform on the given coordinates.

- - ### Method Detail

    - #### getDescription

          java.lang.String getDescription()

      Should provide a general description of the transformation.
      Returns:
        Description of the transformation.

    - #### transformCoords

          processing.core.PVector transformCoords(processing.core.PVector p)

      Should perform a forward transform on the given coordinates. Applying transformCoords() followed by invTransformCoords() to a point should leave it unaltered (other than possibly subject to minor rounding effects).
      Parameters:
        `p` - point location coordinates to transform.
      Returns:
        Transformed point coordinates.

    - #### invTransformCoords

          processing.core.PVector invTransformCoords(processing.core.PVector p)

      Should perform an inverse transform on the given coordinates. Applying transformCoords() followed by invTransformCoords() to a point should leave it unaltered (other than possibly subject to minor rounding effects).
      Parameters:
        `p` - point location coordinates to transform.
      Returns:
        Transformed point coordinates.